Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::Viewport Class Reference

A GtkViewport C++ wrapper class. More...

`#include <xfc/gtk/viewport.hh>`

Inheritance diagram for Xfc::Gtk::Viewport:

List of all members.

## Signal Prototypes

- const SetScrollAdjustmentsSignalType set_scroll_adjustments_signal
    Set scroll adjustments signal (see signal_set_scroll_adjustments()).

## Public Member Functions

Constructors

- Viewport ()
    Construct a new viewport.
- Viewport (Adjustment *hadjustment, Adjustment *vadjustment)
    Construct a new viewport with the given adjustments.
- virtual ~Viewport ()
    Destructor.

Accessors

- GtkViewport * gtk_viewport () const
    Get a pointer to the GtkViewport structure.
- operator GtkViewport * () const
    Conversion operator; safely converts a Viewport to a GtkViewport pointer.
- Adjustment * get_hadjustment () const
    Returns the horizontal adjustment of the viewport.
- Adjustment * get_vadjustment () const
    Returns the vertical adjustment of the viewport.
- ShadowType get_shadow_type () const
    Returns the shadow type of the viewport (see set_shadow_type()).

Methods

- void set_hadjustment (Adjustment *adjustment)
    Sets the horizontal adjustment of the viewport.
- void set_vadjustment (Adjustment *adjustment)
    Sets the vertical adjustment of the viewport.
- void set_shadow_type (ShadowType type)
    Sets the shadow type of the viewport.

Signal Proxies

- const SetScrollAdjustmentsSignalProxy signal_set_scroll_adjustments ()
    Connect to the set_scroll_adjustments_signal; emitted when a viewport is added to a scrolling aware parent.

## Protected Member Functions

Constructors

- Viewport (GtkViewport *viewport, bool owns_reference=false)
    Construct a new Viewport from an existing GtkViewport.

## Detailed Description

A GtkViewport C++ wrapper class.

The Viewport widget provides you with the capability to see part of a child widget and scroll the contents of the child. It is normally not accessed directly but used by other widgets, particularly the ScrollWindow, for child widgets that do not have their own scrolling capability.

See also: the Viewport and ScrolledWindow HOWTOs.

## Constructor & Destructor Documentation

Xfc::Gtk::Viewport::Viewport | ( | GtkViewport * | viewport,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new Viewport from an existing GtkViewport.

Parameters:

  | viewport | A pointer to a GtkViewport.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The viewport can be a newly created GtkViewport or an existing GtkViewport (see G::Object::Object).

Xfc::Gtk::Viewport::Viewport | ( | Adjustment * | hadjustment,
|  | Adjustment * | vadjustment
| ) |

Construct a new viewport with the given adjustments.

Parameters:

  | hadjustment | The horizontal adjustment.
  | vadjustment | The vertical adjustment.

## Member Function Documentation

Adjustment* Xfc::Gtk::Viewport::get_hadjustment | ( |  | ) | const

| Returns the horizontal adjustment of the viewport. If the adjustment has not been set a default adjustment with all values set to zero will be returned.

Adjustment* Xfc::Gtk::Viewport::get_vadjustment | ( |  | ) | const

| Returns the vertical adjustment of the viewport. If the adjustment has not been set a default adjustment with all values set to zero will be returned.

void Xfc::Gtk::Viewport::set_hadjustment | ( | Adjustment * | adjustment | ) |

Sets the horizontal adjustment of the viewport.

Parameters:

  | adjustment | An Adjustment.

void Xfc::Gtk::Viewport::set_shadow_type | ( | ShadowType | type | ) |

Sets the shadow type of the viewport.

Parameters:

  | type | The new shadow type.

void Xfc::Gtk::Viewport::set_vadjustment | ( | Adjustment * | adjustment | ) |

Sets the vertical adjustment of the viewport.

Parameters:

  | adjustment | An Adjustment.

## Member Data Documentation

const SetScrollAdjustmentsSignalType Xfc::Gtk::Viewport::set_scroll_adjustments_signal `[static, protected]`

Set scroll adjustments signal (see signal_set_scroll_adjustments()).

Calls a slot with the signature:

                 void function(Adjustment *hadjustment, Adjustment *vadjustment);
                 // hadjustment: The horizontal adjustment.
                 // vadjustment: The vertical adjustment.

The documentation for this class was generated from the following file:

- viewport.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3